apiVersion: apps/v1
kind: Deployment
metadata:
  labels:
    app: edrms-api
  name: edrms-api
  namespace: edoc2
spec:
  replicas: 1
  selector:
    matchLabels:
      app: edrms-api
  template:
    metadata:
      labels:
        app: edrms-api
    spec:
      hostname: edrms-api
      containers:
      - image: 192.168.251.78/edoc2v5/edrms-api:20231101165626
        imagePullPolicy: IfNotPresent
        name: edrms-api
        env:
        - name: ServerModule
          value: "webapi"
        envFrom:
        - configMapRef:
            name: mid-envfile
        - configMapRef:
            name: edrms-envfile
        securityContext:
          capabilities:
            add: ["SYS_PTRACE"]
        ports:
        - name: edrms-api
          containerPort: 80
      restartPolicy: Always
      nodeSelector:
        node.drive.nodelabels: InDrive
---
apiVersion: v1
kind: Service
metadata:
  name: edrms-api
  namespace: edoc2
  labels:
    app: edrms-api
spec:
  ports:
  - name: edrms-api
    port: 80
    targetPort: 80
    protocol: TCP
  selector:
    app: edrms-api
  type: ClusterIP
